#include <SoftwareSerial.h> 

//definit les pin Rx et Tx duport serie
#define rxPin 0
#define txPin 1

// PIN de contrôle du bandeau LED
//#define LIGHT_PIN 5
int TIP120pin = 5; //for this project, I pick Arduino's PMW pin 11
// mets en place un nouveau port série
SoftwareSerial mySerial =  SoftwareSerial(rxPin, txPin);

int v = 0;
// Buffer pour la Commande BT
String command = "";
boolean commandComplete = false;
// Initialisation
void setup() {
  pinMode(TIP120pin, OUTPUT); // Set pin for output to control TIP120 Base pin
  
 // définition du modes des broches pour tx, rx:
   pinMode(rxPin, INPUT);
   pinMode(txPin, OUTPUT);
   // régler le débit de données pour le port SoftwareSerial
   mySerial.begin(9600);
   
  // On allume la boite à flat avec une intensité maximale
  //analogWrite(LIGHT_PIN, 255);
  analogWrite(TIP120pin, 255);
}
void loop() {
  char a;
  commandComplete  = false;
  if ( mySerial.available()) {
    // Lecture des commandes BT reçues
    a = mySerial.read();
    if ( a == '#') {
      // Fin de commande reçue
      commandComplete  = true;
      command.toUpperCase();
    }
    else {
      command = command + a;
      if ( command.length() > 50)
        command = "";
    }
  }
  if ( commandComplete) {
    // La commande contient l'intensité désirée
    v = command.toInt();
    // bornage...
    v = min( v, 500);
    v = max( 0, v);
    // prise en compte de la nouvelle intensité
    analogWrite(TIP120pin, v);
    command = "";
  }
  delay(10);
}

